<?php
session_start();
include "../conexion.php";
$usu_id=$_SESSION['usu_id'];
if(!empty($_POST))
{
    $venad_id=$_POST['id'];
    $vena_id=$_POST['vena_id'];
    $venad_cantidad=$_POST['venad_cantidad'];
    $venad_art_id=$_POST['venad_art_id'];

    $sql=mysqli_query($con,"DELETE FROM seriales_apartados WHERE venad_id='$venad_id'") or die(mysqli_error($con));

    if(isset($_POST['serial']) && !empty($_POST['serial'])) 
    {
        $serial=$_POST['serial'];
        $valores_no_vacios=0;

        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            {
                $valores_no_vacios++;
            }
        }
        $valores_no_vacios;
        $number=$valores_no_vacios; 
    }
    else
    {
        $valores_no_vacios=0;
        $number=$valores_no_vacios;
    }
    $number;
if ($number>$venad_cantidad)
    {
        echo '<div class="alert alert-danger alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>No puedes Agregar mas seriales de la cantidad correspondiente!</strong> 
           </div>';
    } else if ($number<$venad_cantidad) {
       echo '<div class="alert alert-danger alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>No puedes Agregar menos seriales de la cantidad correspondiente!</strong> 
           </div>';
    }
else 
    {
    if($number > 0)  
    {  
        for($i=0; $i<$number; $i++)  
        {  
            if(trim($_POST["serial"][$i] != '') )
            $dato1=$_POST["serial"][$i];  
            {
                $sql="INSERT INTO seriales_apartados (sear_codigo,venad_id,vena_id) VALUES('".$dato1."','$venad_id','$vena_id')";
                mysqli_query($con, $sql);  

                $seractu=mysqli_query($con,"UPDATE seriales_articulos Set estado='apartado' Where articulos_art_id='$venad_art_id' and se_codigo='$dato1' ") or die(mysqli_error($con));
            } 
        }

         

        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Serial!</strong> Registrado correctamente.
        </div>'; 
?>
        <script type="text/javascript">
            $('#serModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            loadtabla();
        </script>
<?php   } 
        else
        {
            echo '<div class="alert alert-info alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Debes selecionar '.$venad_cantidad.' serial(es)!</strong>
                </div>'; 
        }        
    }
}
?>	